﻿/**Begin D:\datamodel\PDM_UPGRADE\PDM_NEW\WTAM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTAM_TRIPBILLENTRY_L') 
 CREATE TABLE T_WTAM_TRIPBILLENTRY_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FSTRAPPLYTIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRIPRESONTEX NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTAM_TRIPTYPEBD') 
 CREATE TABLE T_WTAM_TRIPTYPEBD (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTAM_TRIPBILLENTRY') 
 CREATE TABLE T_WTAM_TRIPBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENCLOSUREMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FFROMID BIGINT DEFAULT 0 NOT NULL,
FTOID BIGINT DEFAULT 0 NOT NULL,
FSTRAPPLYTIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRIPRESONTEX NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSITRIPTYPEID BIGINT DEFAULT 0 NOT NULL,
FTRIPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT VARCHAR(10) DEFAULT ' ' NOT NULL,
FTRAVELTOOLID BIGINT DEFAULT 0 NOT NULL,
FEFFTCTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTARTDATESTR VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDDATESTR VARCHAR(50) DEFAULT ' ' NOT NULL,
FOWNDATE DATETIME,
FSTARTMETHOD VARCHAR(10) DEFAULT ' ' NOT NULL,
FENDMETHOD VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYPARENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTAM_TRIPBILL') 
 CREATE TABLE T_WTAM_TRIPBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTFILEBASEID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FISNEWBILL CHAR(1) DEFAULT '0' NOT NULL,
FSDATE DATETIME,
FEDATE DATETIME,
FAPPLYDATE DATETIME,
FPERSONNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FAPPLYPERSONID BIGINT DEFAULT 0 NOT NULL,
FSUMTRIPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMUNIT VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPLYTYPERADIO VARCHAR(10) DEFAULT ' ' NOT NULL,
FISCHANGE CHAR(1) DEFAULT '0' NOT NULL,
FISNOTTRIP VARCHAR(10) DEFAULT ' ' NOT NULL
);



/**End D:\datamodel\PDM_UPGRADE\PDM_NEW\WTAM_table.sql **/
